function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/* eslint-disable max-len */
import React, { createContext, useContext, useMemo, useEffect } from 'react';
import { DataSet } from 'choerodon-ui/pro/lib';
import { injectIntl } from 'react-intl';
import { observer } from 'mobx-react-lite';
import useStore from "./useStore";
import NonPermissionDataSet from "./NonPermissionDataSet";
import { useClusterContentStore } from "../../stores";
var Store = /*#__PURE__*/createContext();
export function useModalStore() {
  return useContext(Store);
}
export var StoreProvider = injectIntl(observer(function (props) {
  var children = props.children,
      formatMessage = props.intl.formatMessage;
  var modalStore = useStore();

  var _useClusterContentSto = useClusterContentStore(),
      projectId = _useClusterContentSto.projectId,
      clusterId = _useClusterContentSto.clusterId;

  var NonPermissionDs = useMemo(function () {
    return new DataSet(NonPermissionDataSet());
  }, []);
  useEffect(function () {
    NonPermissionDs.transport.read.url = "/devops/v1/projects/".concat(projectId, "/clusters/").concat(clusterId, "/permission/list_non_related");
  }, [projectId, clusterId]);

  var value = _objectSpread(_objectSpread({}, props), {}, {
    permissions: [],
    modalStore: modalStore,
    NonPermissionDs: NonPermissionDs,
    clusterId: clusterId,
    projectId: projectId,
    formatMessage: formatMessage
  });

  return /*#__PURE__*/React.createElement(Store.Provider, {
    value: value
  }, children);
}));